Rails4をインストールしてみた

Tsukasa OISHI

そろそろRails4で遊んでおかなきゃと思ったので、このブログを edge rails で作ってみることにします。

まずはrailsのmasterブランチからcloneしてきます。

git clone https://github.com/rails/rails.git

このコード内のrailties下のrailsコマンドを使ってappを作ります。
ですが、単純に以下のコマンドを実施してしまうと、

railties/bin/rails new ~/dev/new_app --edge -d mysql

以下のように怒られました。

`require': cannot load such file -- thread_safe (LoadError)

rails自体が使うgemパッケージが足りていない。railsのワークディレクトリにGemfileが置いてあったのでこれが必要なようです。bundle installします。

bundle install --path bundle

これでもう一度appを作ってみます。

bundle exec railties/bin/rails new ~/dev/new_app --edge -d mysql

これでうまくいきました。